Package org.pushingpixels.lafwidget.text

# Class LockBorderWidget

java.lang.Object
org.pushingpixels.lafwidget.LafWidgetAdapter
org.pushingpixels.lafwidget.text.LockBorderWidget

All Implemented Interfaces:
  `LafWidget`

public class LockBorderWidget extends LafWidgetAdapter
Adds visual indication on non-editable text components.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`isUninstalling`
`true` if this widget is uninstalling.
`static String`
`ORIGINAL_BORDER`
Name for client property that stores the original border.
`protected PropertyChangeListener`
`propertyChangeListener`
Listens on all properties to decide whether a lock border should be shown / hidden.

### Fields inherited from class org.pushingpixels.lafwidget.LafWidgetAdapter

`jcomp`

### Fields inherited from interface org.pushingpixels.lafwidget.LafWidget

`AUTO_SCROLL, COMPONENT_PREVIEW_PAINTER, HAS_LOCK_ICON, IGNORE_GLOBAL_LOCALE, PASSWORD_STRENGTH_CHECKER, TABBED_PANE_PREVIEW_PAINTER, TEXT_EDIT_CONTEXT_MENU, TEXT_FLIP_SELECT_ON_ESCAPE, TEXT_SELECT_ON_FOCUS, TREE_AUTO_DND_SUPPORT`

## Constructor Summary

Constructors
Constructor
Description
`LockBorderWidget()`

## Method Summary

Modifier and Type
Method
Description
`void`
`installDefaults()`
Installs default settings for the associated component.
`void`
`installListeners()`
Installs listeners for the associated component.
`boolean`
`requiresCustomLafSupport()`
Returns indication whether `this` widget requires custom LAF support.
`void`
`uninstallDefaults()`
Uninstalls default settings for the associated component.
`void`
`uninstallListeners()`
Uninstalls listeners for the associated component.
`void`
`uninstallUI()`
Uninstalls UI on the associated component.

### Methods inherited from class org.pushingpixels.lafwidget.LafWidgetAdapter

`installComponents, installUI, setComponent, uninstallComponents`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### propertyChangeListener

protected PropertyChangeListener propertyChangeListener
Listens on all properties to decide whether a lock border should be shown / hidden.

### isUninstalling

protected boolean isUninstalling
`true` if this widget is uninstalling. Fix for defect 7.

### ORIGINAL_BORDER

public static String ORIGINAL_BORDER
Name for client property that stores the original border.

## Constructor Details

### LockBorderWidget

public LockBorderWidget()

## Method Details

### installListeners

public void installListeners()
Description copied from interface: `LafWidget`
Installs listeners for the associated component.

Specified by:
  `installListeners` in interface `LafWidget`
Overrides:
  `installListeners` in class `LafWidgetAdapter`

### uninstallListeners

public void uninstallListeners()
Description copied from interface: `LafWidget`
Uninstalls listeners for the associated component.

Specified by:
  `uninstallListeners` in interface `LafWidget`
Overrides:
  `uninstallListeners` in class `LafWidgetAdapter`

### uninstallUI

public void uninstallUI()
Description copied from interface: `LafWidget`
Uninstalls UI on the associated component.

Specified by:
  `uninstallUI` in interface `LafWidget`
Overrides:
  `uninstallUI` in class `LafWidgetAdapter`

### installDefaults

public void installDefaults()
Description copied from interface: `LafWidget`
Installs default settings for the associated component.

Specified by:
  `installDefaults` in interface `LafWidget`
Overrides:
  `installDefaults` in class `LafWidgetAdapter`

### uninstallDefaults

public void uninstallDefaults()
Description copied from interface: `LafWidget`
Uninstalls default settings for the associated component.

Specified by:
  `uninstallDefaults` in interface `LafWidget`
Overrides:
  `uninstallDefaults` in class `LafWidgetAdapter`

### requiresCustomLafSupport

public boolean requiresCustomLafSupport()
Description copied from interface: `LafWidget`
Returns indication whether `this` widget requires custom LAF support. Some widgets such as `TabOverviewDialogWidget` or `TabHoverPreviewWidget` require custom implementation based on the internals of the specific LAF. Relevant functions in the base `LafWidgetSupport` support throw `UnsupportedOperationException`.

Returns:
  `true` if `this` widget requires custom LAF support, `false` otherwise.